Subject: Re: [Pce] Fwd: Internet Draft for Publication <draft-ash-pce-architecture-00.txt>

From: Eiji Oki <[email-masked]>
Date: Sat, 02 Oct 2004 17:23:59 +0900

Hi JP, Ash, and Adrian,

The architecture draft well clarifies what PCE is.
I have several comments on the draft as follows. 

1. LSP information in TED. 

It would be useful to clarify information in TED. 

I understand that section 1 describes the definition of TED and that TED
is made by using IGP-TE or by other means. 
Information in TED includes not only contents that can be built 
from the distribution of IGP-TE, but LSP information as described in
section 6.8. However, LSP information, which is not able to be collected
by IGP, is not clarified in the draft. 

I suggest that contents of LSP information, such as LSP routes, the
reserved bandwidth, and measured traffic volume passing through the LSP,
be clarified. 

There are two reasons to add the LSP information. One is because the LSP
information is required to perform re-optimization for MPLS
LSPs. LSP re-optimization is described in Sections 4.4 and 7. I suggest
that LSP information including measured traffic volume and LSP routes
should be added in TED for LSP re-optimization. Otherwise, 
LSP re-optimization is not effectively performed according to traffic
fluctuation.

The other reason is because LSP information is needed to reconfigure
virtual network topology (VNT). Lower-region LSPs such as optical paths
form a network topology, which is used for routing of higher-region
traffic such as IP traffic.  The network topology formed by lower-region
LSPs is called a virtual network topology (VNT). 

I also suggest that more description be added on how LSP information
might be collected and how this information could be synchronized with
the conventional TED. 

TED information comes from different sources  such as OSPF-TE, NetFlow, 
SNMP, GTEP, XML etc. or TED information is obtained by making another
new protocls or by extending IGP, PCC-PCE communication protocol.
Therefore, there is an issue whether TED information is
managed with a single database or multiple database. Several methods for
TED synchronization can be considered. 
 
a) Different TED database. One database often accesses the other 
database for TED synchronization. 
b) The same database. The database often is updated when LSP information
is changed. 

Method b would be better in terms of accuracy of TED synchronization.
In terms of node processing load, more discussions are needed. 

2. TED synchronization

As described above, TED synchronization is important. 
I suggest that "TED synchronization: speed with which synchronization is
achieved, and the impact of the synchronization process on the data
flows in the network." be added as evaluation metric in section 7. 

Thank you.
Eiji

On Fri, 24 Sep 2004 11:58:44 -0400
JP Vasseur <[email-masked]> wrote:

> Hi,
> 
> One of the main action point required by Alex after the PCE BOF held in  
> San Diego was to produce a PCE architecture document whose aim was to  
> describe various possible PCE architectures and their components,  
> provides application examples, and clarify the scope of the  
> applicability of such path computation techniques.
> 
> In particular, PCE-based path computation would not replace existing  
> methods but could be used in some environments and for specific  
> applications.
> 
> In order to move forward, comments to this draft are very welcome.
> 
> Adrian and I also received various emails mentioning that other PCE  
> related IDs were on their way, so please authors, try to publish them  
> prior to the next IETF so as to have enough time for comments and  
> discussion.
> 
> JP.
> 
> 
> Begin forwarded message:
> 
> > From: [email-masked]
> > Date: September 24, 2004 11:28:43 AM EDT
> > To: [email-masked]
> > Cc: [email-masked], [email-masked], [email-masked],  
> > [email-masked]
> > Subject: Internet Draft for Publication  
> > <draft-ash-pce-architecture-00.txt>
> >
> > To: Internet Drafts Editor
> >
> > Please publish the attached Internet Draft:
> >
> > draft-ash-pce-architecture-00.txt>
> >
> > Please announce the draft to the CCAMP working group.
> >
> > The attached file is in ASCII text.
> >
> > Thank you very much,
> > Jerry Ash
> > ----------------------------------------------------------------------- 
> > -----
> > Gerald R. (Jerry) Ash
> > AT&T Labs
> > Room MT D5-2A01
> > 200 Laurel Avenue
> > Middletown, NJ 07748-4801
> > U.S.A.
> > Telephone  732-420-4578
> > Fax        732-368-8659
> > E-mail     [email-masked]
> > ----------------------------------------------------------------------- 
> > -----

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce